- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces | Functions
euler.h File Reference
Connectivity and Other Graph Properties

## Detailed Description

This file provides Euler tour iterators and a function to check if a (di)graph is Eulerian.

`#include <lemon/core.h>`
`#include <lemon/adaptors.h>`
`#include <lemon/connectivity.h>`
`#include <list>`

## Classes
class | DiEulerIt< GR >
| Euler tour iterator for digraphs. More...
class | EulerIt< GR >
| Euler tour iterator for graphs. More...

## Namespaces
| lemon
| The namespace of LEMON.

## Functions
template<typename GR >
bool | eulerian (const GR &g)
| Check if the given graph is Eulerian. More...